package com.sxc.etaxincome.controller;

import cn.hutool.core.convert.impl.UUIDConverter;
import com.alibaba.fastjson2.util.UUIDUtils;
import com.sxc.etaxincome.domain.command.report.IReportCommand;
import com.sxc.etaxincome.domain.model.common.CommonRequestWrapper;
import com.sxc.etaxincome.domain.model.common.CommonResponse;
import com.sxc.etaxincome.domain.model.report.IReportResponse;
import com.sxc.framework.common.identity.UUIDGenerator;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.httpclient.util.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.UUID;

/**
 * @author caosongqing
 * @date 2024/4/24
 * @description
 */
@Slf4j
@RestController
@RequestMapping("/manage")
public class ManageController {

    @Autowired
    @Qualifier(value = "cancelReportCommand")
    private IReportCommand cancelReportCommand;

    @Autowired
    @Qualifier(value = "forceReportCommand")
    private IReportCommand forceReportCommand;

    @PostMapping("/cancel")
    public CommonResponse<IReportResponse> cancelReport(@Validated CommonRequestWrapper commonRequestWrapper) {
        return cancelReportCommand.execute(commonRequestWrapper);
    }

    @PostMapping("/cancel/json")
    public CommonResponse<IReportResponse> cancelReportJson(@Validated @RequestBody CommonRequestWrapper requestCommonWrapper) {
        return cancelReportCommand.execute(requestCommonWrapper);
    }

    @PostMapping("/force")
    public CommonResponse<IReportResponse> forceReport(@Validated CommonRequestWrapper commonRequestWrapper) {
        return forceReportCommand.execute(commonRequestWrapper);
    }

    @PostMapping("/force/json")
    public CommonResponse<IReportResponse> forceReportJson(@Validated @RequestBody CommonRequestWrapper requestCommonWrapper) {
        return forceReportCommand.execute(requestCommonWrapper);
    }

    @PostMapping("/force/test")
    public String forceReportTest() throws Exception {
        String abc = UUIDGenerator.generate() +  "helloword";
        Thread.sleep(40000);
        System.out.println(abc);
        return abc;
    }
}
