package com.sxc.etaxincome.domain.business.impl;

import com.alicp.jetcache.anno.CacheType;
import com.alicp.jetcache.anno.Cached;
import com.sxc.etaxincome.domain.business.ICachedConfigManager;
import com.sxc.etaxincome.entity.EtaxReportResultConfig;
import com.sxc.etaxincome.entity.FinSysDict;
import com.sxc.etaxincome.service.IEtaxReportResultConfigService;
import com.sxc.etaxincome.service.IFinSysDictService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Slf4j
@Service
public class CachedConfigManager implements ICachedConfigManager {

    @Autowired
    private IFinSysDictService finSysDictService;

    @Cached(name = "etax-income:dict:config", key = "#dictGroup", expire = 36000, cacheType = CacheType.LOCAL)
    public List<FinSysDict> queryDictConfig(String dictGroup) {
        FinSysDict sysDict = new FinSysDict();
        sysDict.setDictGroup(dictGroup);
        return finSysDictService.queryDictListByCriteria(sysDict);
    }
}
