package com.sxc.etaxincome.domain.business.impl;

import com.sxc.etaxincome.criteria.IncomeQueryCommon;
import com.sxc.etaxincome.domain.business.IMonitorManager;
import com.sxc.etaxincome.domain.model.report.AreaCodeStat;
import com.sxc.etaxincome.domain.support.ZoneProvider;
import com.sxc.etaxincome.entity.FinCountReport;
import com.sxc.etaxincome.service.IFinRealLogService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.compress.utils.Lists;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @ProjectName: etax-income-api
 * @Package: com.sxc.etaxincome.domain.business.impl
 * @ClassName: MonitorManager
 * @Author: ddx
 * @Description:
 * @Date: 2024-06-06 16:40
 * @Version: 1.0
 */
@Slf4j
@Service
public class MonitorManager implements IMonitorManager {

    @Autowired
    private IFinRealLogService finRealLogService;

    @Override
    public List<AreaCodeStat> statAreaIncome(IncomeQueryCommon incomeQueryCommon) {
        List<FinCountReport> countReportList = finRealLogService.statAreaIncome(incomeQueryCommon);

        List<AreaCodeStat> areaCodeStatList = Lists.newArrayList();
        countReportList.stream().forEach(e -> {
            areaCodeStatList.add(AreaCodeStat.builder().areaCode(e.getZoneCode())
                    .name(ZoneProvider.getZoneNameByCode(e.getZoneCode()))
                    .taxnoCount(Long.valueOf(e.getTaxnoNum())).requsetCount(Long.valueOf(e.getTotalNum())).build());
        });
        return areaCodeStatList;
    }

}
