package com.sxc.etaxincome.domain.job;

import cn.hutool.http.HttpUtil;
import com.alibaba.nacos.api.config.annotation.NacosValue;
import com.sxc.etaxincome.domain.business.IVersionManager;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

/**
 * @author caosongqing
 * @date 2022/12/23
 * @description
 */
@Configuration
@EnableScheduling
@Slf4j
public class SendVersionJob {

    @Autowired
    private IVersionManager versionManager;

    @NacosValue(value = "${url.monitor.version}", autoRefreshed = true)
    private String sendVersionUrl;

    @NacosValue(value = "${send.version.enabled}", autoRefreshed = true)
    private boolean sendVersionEnabled;

    @Scheduled(cron = "${job.send-version.cron}")
    private void handle() {
        log.info("sendVersionEnabled:{}", sendVersionEnabled);
        if (sendVersionEnabled) {
            try {
                String response = HttpUtil.get(sendVersionUrl + "?version=" + versionManager.version());
                log.info("job send version response:{}", response);
            } catch (Exception e) {
                log.error("send version error:", e);
            }
        }
    }
}
