package com.sxc.etaxincome.domain.model.report;

import com.sxc.etaxincome.domain.model.common.BusinessCommonRequestWrapper;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
public class QueryReportListRequestWrapper extends BusinessCommonRequestWrapper {
    /**
     * 申报日期（起）
     */
    private String reportDateStart;
    /**
     * 申报日期（止）
     */
    private String reportDateEnd;
    /**
     * 税款所属期（起）
     */
    private String declareDateStart;
    /**
     * 税款所属期（止）
     */
    private String declareDateEnd;
    /**
     * 作废状态
     */
    private String cancelStatus;
    /**
     * 报表类型
     */
    private String reportType;
    /**
     * 更正类型
     */
    private List<String> updateTypeList;
    /**
     * 分页号
     */
    private Integer pageNumber;
    /**
     * 每页记录数
     */
    private Integer pageSize;
}
