package com.sxc.etaxincome.domain.handler.transferparam;

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.sxc.etaxincome.domain.model.common.CommonRequestWrapper;
import com.sxc.etaxincome.domain.model.report.ApiConfig;
import com.sxc.etaxincome.domain.model.report.ApiParamMapping;
import com.sxc.etaxincome.domain.model.report.ReportRequestWrapper;
import com.sxc.framework.common.json.JSONUtil;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;

import java.util.LinkedHashMap;
import java.util.List;

@Slf4j
public class MappingReportTransferParamHandlerTest {

    @Test
    public void testHandle() {
        MappingReportTransferParamHandler mappingReportTransferParamHandler = new MappingReportTransferParamHandler();
        List<ApiParamMapping> apiParamMappingList = Lists.newArrayListWithExpectedSize(10);
        apiParamMappingList.add(ApiParamMapping.builder().etaxParamName("getObjFromList(ywbw.sbZzsYbnsr,'ewblxh','1').asysljsxse").apiParamName("A06493_row_01|A06493_col_01").build());
        apiParamMappingList.add(ApiParamMapping.builder().etaxParamName("getObjFromList(ywbw.sbZzsYbnsr,'ewblxh','1').yshwxse").apiParamName("A06493_row_02|A06493_col_01").build());
        apiParamMappingList.add(ApiParamMapping.builder().etaxParamName("getObjFromList(ywbw.sbZzsYbnsr,'ewblxh','1').yslwxse").apiParamName("A06493_row_03|A06493_col_01").build());
        ApiConfig apiConfig = ApiConfig.builder().apiParamMappingList(apiParamMappingList).build();
        CommonRequestWrapper requestCommonWrapper = CommonRequestWrapper.builder().build();
        LinkedHashMap<String, String> formData = Maps.newLinkedHashMapWithExpectedSize(10);
        formData.put("A06493_row_03|A06493_col_01", "3");
        formData.put("A06493_row_01|A06493_col_01", "1");
        formData.put("A06493_row_02|A06493_col_01", "2");
        log.info("request param:{}", JSONUtil.toString(formData));
        ReportRequestWrapper reportRequestWrapper = ReportRequestWrapper.builder().formData(formData).build();
        mappingReportTransferParamHandler.handle(apiConfig, requestCommonWrapper, reportRequestWrapper);

        log.info("formData:{}", JSONUtil.toString(reportRequestWrapper.getFormData()));
    }
}