package com.sxc.etaxincome.enums;

import lombok.Getter;

@Getter
public enum IncomeInvoiceExceptionType {
    INVALID_TOKEN(1, "invalid_token", "Token无效"),
    READ_TIMEOUT(2, "read_timeout", "连接超时"),
    VERIFY_IDENTITY_FAIL(3, "verify_identity_fail", "身份认证失败"),
    ILLEGAL_PARAM(4, "illegal_param", "不合法参数"),
    ETAX_DOWN(5, "etax_down", "税局不可用"),
    SIGN_ERROR(6, "sign_error", "签名异常"),
    MAKEOUT_DONE(7, "makeout_done", "发票已经开具"),
    MAKEOUT_DOING(8, "makeout_doing", "开票进行中"),
    ILLEGAL_TOKEN(9, "illegal_token", "Token不合法"),
    LOGIN_ERROR(10, "login_error", "登录异常"),
    MAKEOUT_FAIL(11, "makeout_fail", "开票失败"),
    OTHER(99, "other", "其他");

    private final int type;
    private final String humanType;
    private final String desc;
    IncomeInvoiceExceptionType(int type, String humanType, String desc) {
        this.type = type;
        this.humanType = humanType;
        this.desc = desc;
    }

    public static IncomeInvoiceExceptionType as(int type) {
        for (IncomeInvoiceExceptionType incomeInvoiceExceptionType : IncomeInvoiceExceptionType.values()) {
            if (incomeInvoiceExceptionType.type == type) {
                return incomeInvoiceExceptionType;
            }
        }
        return null;
    }

    public static IncomeInvoiceExceptionType as(String humanType) {
        for (IncomeInvoiceExceptionType incomeInvoiceExceptionType : IncomeInvoiceExceptionType.values()) {
            if (incomeInvoiceExceptionType.humanType.equals(humanType)) {
                return incomeInvoiceExceptionType;
            }
        }
        return null;
    }
}
