package com.sxc.etaxincome;

import com.alibaba.nacos.api.config.ConfigType;
import com.alibaba.nacos.spring.context.annotation.config.NacosPropertySource;
import com.alicp.jetcache.anno.config.EnableMethodCache;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.scheduling.annotation.EnableAsync;

/**
 * @author caosongqing
 * @date 2024/4/17
 * @description
 */
@SpringBootApplication
@ServletComponentScan
@EnableAsync
@EnableAspectJAutoProxy(proxyTargetClass = true)
@MapperScan("com.sxc.etaxincome.mapper")
@EnableMethodCache(basePackages = "com.sxc.etaxincome")
@NacosPropertySource(dataId = "param_config", groupId = "etax_report_config", autoRefreshed = true, type = ConfigType.PROPERTIES)
@NacosPropertySource(dataId = "url_config", groupId = "etax_report_config", autoRefreshed = true, type = ConfigType.PROPERTIES)
public class EtaxIncomeApplication {
    public static void main(String[] args) {
        SpringApplication.run(EtaxIncomeApplication.class, args);
    }
}
