package com.sxc.etaxincome.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sxc.etaxincome.entity.EtaxReportApiConfig;
import com.sxc.etaxincome.entity.EtaxReportType;
import com.sxc.etaxincome.mapper.EtaxReportTypeMapper;
import com.sxc.etaxincome.service.IEtaxReportTypeService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author mybatis-plus-generator
 * @since 2024-04-26 16:06:52
 */
@Service
public class EtaxReportTypeServiceImpl extends ServiceImpl<EtaxReportTypeMapper, EtaxReportType> implements IEtaxReportTypeService {

    @Override
    public EtaxReportType queryOne(EtaxReportType etaxReportTypeCriteria) {
        try {
            Wrapper<EtaxReportType> queryWrapper = Wrappers.<EtaxReportType>lambdaQuery()
                    .eq(etaxReportTypeCriteria.getId() != null, EtaxReportType::getId, etaxReportTypeCriteria.getId())
                    .eq(StringUtils.isNotBlank(etaxReportTypeCriteria.getReportId()), EtaxReportType::getReportId, etaxReportTypeCriteria.getReportId());
            return this.getOne(queryWrapper);
        } catch(Exception e) {
            log.error("query reportType error:", e);
            return new EtaxReportType();
        }
    }
}
